Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.migration
Class ProjectMapper

    java.lang.Object
      com.atlassian.bamboo.migration.BambooMapper
          com.atlassian.bamboo.migration.ProjectMapper

All Implemented Interfaces:
  Mapper

    public class ProjectMapper

extends BambooMapper

Field Summary
`static String` | `BUILD_XML_BUILDKEY`
`static String` | `BUILD_XML_BUILDNAME`
`static String` | `BUILD_XML_DEFINITION`
`static String` | `BUILD_XML_DEFINITION_XML`
`static String` | `BUILD_XML_FIRSTBUILD`
`static String` | `BUILD_XML_KEY`
`static String` | `BUILD_XML_LASTBUILD`
`static String` | `BUILD_XML_LASTSTART`
`static String` | `BUILD_XML_NEXTBUILD`
`static String` | `BUILD_XML_NODE`
`static String` | `BUILD_XML_ROOT`
`static String` | `BUILD_XML_SUSPENDED`
`static String` | `BUILDSUMMARY_XML_BUILDCOMPLETEDDATE`
`static String` | `BUILDSUMMARY_XML_BUILDDATE`
`static String` | `BUILDSUMMARY_XML_BUILDNUMBER`
`static String` | `BUILDSUMMARY_XML_BUILDREASON`
`static String` | `BUILDSUMMARY_XML_BUILDSTATE`
`static String` | `BUILDSUMMARY_XML_CUSTOMBUILDDATA`
`static String` | `BUILDSUMMARY_XML_CUSTOMBUILDDATA_NODE`
`static String` | `BUILDSUMMARY_XML_CUSTOMBUILDDATA_NODE_KEY`
`static String` | `BUILDSUMMARY_XML_CUSTOMBUILDDATA_NODE_VALUE`
`static String` | `BUILDSUMMARY_XML_DELTASTATE`
`static String` | `BUILDSUMMARY_XML_DURATION`
`static String` | `BUILDSUMMARY_XML_FAILEDBUILD`
`static String` | `BUILDSUMMARY_XML_JIRAISSUES`
`static String` | `BUILDSUMMARY_XML_JIRAISSUES_KEY`
`static String` | `BUILDSUMMARY_XML_NODE`
`static String` | `BUILDSUMMARY_XML_ROOT`
`static String` | `BUILDSUMMARY_XML_SUCCESSBUILD`
`static String` | `COMMENTS_XML_CONTENT`
`static String` | `COMMENTS_XML_NODE`
`static String` | `COMMENTS_XML_ROOT`
`static String` | `COMMENTS_XML_USER`
`static String` | `COMMITS_XML_AUTHOR`
`static String` | `COMMITS_XML_COMMENT`
`static String` | `COMMITS_XML_DATE`
`static String` | `COMMITS_XML_FILES`
`static String` | `COMMITS_XML_FILES_NODE`
`static String` | `COMMITS_XML_FILES_NODE_NAME`
`static String` | `COMMITS_XML_FILES_NODE_REVISION`
`static String` | `COMMITS_XML_NODE`
`static String` | `COMMITS_XML_ROOT`
`static String` | `LABELS_XML_LABEL`
`static String` | `LABELS_XML_NODE`
`static String` | `LABELS_XML_ROOT`
`static String` | `LABELS_XML_USER`
`static String` | `PROJECT_XML_KEY`
`static String` | `PROJECT_XML_NAME`
`static String` | `PROJECT_XML_NODE`
`static String` | `PROJECT_XML_ROOT`

Fields inherited from class com.atlassian.bamboo.migration.BambooMapper
`GENERIC_XML_CREATIONDATE, GENERIC_XML_ID, GENERIC_XML_MODIFICATIONDATE, sdf`

Constructor Summary
`ProjectMapper()`

Method Summary
`Element` | `exportCommits(ExtendedBuildResultsSummary buildResultsSummary)`
`Element` | `exportXml()` EXPORT
`void` | `importXml(Element root)` IMPORT
`void` | `setBambooUserManager(BambooUserManager bambooUserManager)`
`void` | `setBuildManager(BuildManager buildManager)`
`void` | `setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)`
`void` | `setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)`
`void` | `setLabelDao(LabelDao labelDao)`
`void` | `setSessionFactory(SessionFactory sessionFactory)`

Methods inherited from class com.atlassian.bamboo.migration.BambooMapper
`exportDefaults, getOptionalString, populateDefaults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROJECT_XML_ROOT

    public static final String PROJECT_XML_ROOT

See Also:
  Constant Field Values

### PROJECT_XML_NODE

    public static final String PROJECT_XML_NODE

See Also:
  Constant Field Values

### PROJECT_XML_KEY

    public static final String PROJECT_XML_KEY

See Also:
  Constant Field Values

### PROJECT_XML_NAME

    public static final String PROJECT_XML_NAME

See Also:
  Constant Field Values

### BUILD_XML_ROOT

    public static final String BUILD_XML_ROOT

See Also:
  Constant Field Values

### BUILD_XML_NODE

    public static final String BUILD_XML_NODE

See Also:
  Constant Field Values

### BUILD_XML_KEY

    public static final String BUILD_XML_KEY

See Also:
  Constant Field Values

### BUILD_XML_BUILDKEY

    public static final String BUILD_XML_BUILDKEY

See Also:
  Constant Field Values

### BUILD_XML_BUILDNAME

    public static final String BUILD_XML_BUILDNAME

See Also:
  Constant Field Values

### BUILD_XML_FIRSTBUILD

    public static final String BUILD_XML_FIRSTBUILD

See Also:
  Constant Field Values

### BUILD_XML_LASTBUILD

    public static final String BUILD_XML_LASTBUILD

See Also:
  Constant Field Values

### BUILD_XML_LASTSTART

    public static final String BUILD_XML_LASTSTART

See Also:
  Constant Field Values

### BUILD_XML_NEXTBUILD

    public static final String BUILD_XML_NEXTBUILD

See Also:
  Constant Field Values

### BUILD_XML_SUSPENDED

    public static final String BUILD_XML_SUSPENDED

See Also:
  Constant Field Values

### BUILD_XML_DEFINITION

    public static final String BUILD_XML_DEFINITION

See Also:
  Constant Field Values

### BUILD_XML_DEFINITION_XML

    public static final String BUILD_XML_DEFINITION_XML

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_ROOT

    public static final String BUILDSUMMARY_XML_ROOT

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_NODE

    public static final String BUILDSUMMARY_XML_NODE

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_BUILDNUMBER

    public static final String BUILDSUMMARY_XML_BUILDNUMBER

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_BUILDDATE

    public static final String BUILDSUMMARY_XML_BUILDDATE

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_BUILDCOMPLETEDDATE

    public static final String BUILDSUMMARY_XML_BUILDCOMPLETEDDATE

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_BUILDSTATE

    public static final String BUILDSUMMARY_XML_BUILDSTATE

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_SUCCESSBUILD

    public static final String BUILDSUMMARY_XML_SUCCESSBUILD

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_FAILEDBUILD

    public static final String BUILDSUMMARY_XML_FAILEDBUILD

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_DURATION

    public static final String BUILDSUMMARY_XML_DURATION

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_BUILDREASON

    public static final String BUILDSUMMARY_XML_BUILDREASON

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_DELTASTATE

    public static final String BUILDSUMMARY_XML_DELTASTATE

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_JIRAISSUES

    public static final String BUILDSUMMARY_XML_JIRAISSUES

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_JIRAISSUES_KEY

    public static final String BUILDSUMMARY_XML_JIRAISSUES_KEY

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_CUSTOMBUILDDATA

    public static final String BUILDSUMMARY_XML_CUSTOMBUILDDATA

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_CUSTOMBUILDDATA_NODE

    public static final String BUILDSUMMARY_XML_CUSTOMBUILDDATA_NODE

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_CUSTOMBUILDDATA_NODE_KEY

    public static final String BUILDSUMMARY_XML_CUSTOMBUILDDATA_NODE_KEY

See Also:
  Constant Field Values

### BUILDSUMMARY_XML_CUSTOMBUILDDATA_NODE_VALUE

    public static final String BUILDSUMMARY_XML_CUSTOMBUILDDATA_NODE_VALUE

See Also:
  Constant Field Values

### COMMITS_XML_ROOT

    public static final String COMMITS_XML_ROOT

See Also:
  Constant Field Values

### COMMITS_XML_NODE

    public static final String COMMITS_XML_NODE

See Also:
  Constant Field Values

### COMMITS_XML_AUTHOR

    public static final String COMMITS_XML_AUTHOR

See Also:
  Constant Field Values

### COMMITS_XML_FILES

    public static final String COMMITS_XML_FILES

See Also:
  Constant Field Values

### COMMITS_XML_FILES_NODE

    public static final String COMMITS_XML_FILES_NODE

See Also:
  Constant Field Values

### COMMITS_XML_FILES_NODE_NAME

    public static final String COMMITS_XML_FILES_NODE_NAME

See Also:
  Constant Field Values

### COMMITS_XML_FILES_NODE_REVISION

    public static final String COMMITS_XML_FILES_NODE_REVISION

See Also:
  Constant Field Values

### COMMITS_XML_COMMENT

    public static final String COMMITS_XML_COMMENT

See Also:
  Constant Field Values

### COMMITS_XML_DATE

    public static final String COMMITS_XML_DATE

See Also:
  Constant Field Values

### LABELS_XML_ROOT

    public static final String LABELS_XML_ROOT

See Also:
  Constant Field Values

### LABELS_XML_NODE

    public static final String LABELS_XML_NODE

See Also:
  Constant Field Values

### LABELS_XML_LABEL

    public static final String LABELS_XML_LABEL

See Also:
  Constant Field Values

### LABELS_XML_USER

    public static final String LABELS_XML_USER

See Also:
  Constant Field Values

### COMMENTS_XML_ROOT

    public static final String COMMENTS_XML_ROOT

See Also:
  Constant Field Values

### COMMENTS_XML_NODE

    public static final String COMMENTS_XML_NODE

See Also:
  Constant Field Values

### COMMENTS_XML_CONTENT

    public static final String COMMENTS_XML_CONTENT

See Also:
  Constant Field Values

### COMMENTS_XML_USER

    public static final String COMMENTS_XML_USER

See Also:
  Constant Field Values

Constructor Detail

### ProjectMapper

    public ProjectMapper()

Method Detail

### exportXml

    public Element exportXml()
                      throws ParseException

  EXPORT

  Returns:
  Throws:
    `ParseException`

### exportCommits

    public Element exportCommits(ExtendedBuildResultsSummary buildResultsSummary)
                          throws ParseException

  Throws:
    `ParseException`

### importXml

    public void importXml(Element root)
                   throws Exception

  IMPORT

  Parameters:
    `root` -
  Throws:
    `Exception`

### setBuildManager

    public void setBuildManager(BuildManager buildManager)

### setBuildResultsSummaryManager

    public void setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)

### setSessionFactory

    public void setSessionFactory(SessionFactory sessionFactory)

### setExtendedAuthorManager

    public void setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)

### setLabelDao

    public void setLabelDao(LabelDao labelDao)

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager bambooUserManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.